#!/bin/bash

set -e  # Exit on error

bash scripts/build_clean.sh

echo "Committing updated source files to Git..."
git add .
git commit -m "Update content" || echo "No changes to commit."

echo "Pushing to main branch (triggers GitHub Pages build via Actions)..."
git push origin main

echo "Deployment triggered. Check progress at:"
echo "   https://gitlab.liu.se/NSC/berzelius-training/-/pipelines"
echo "And visit the site at:"
echo "   https://nsc.gitlab-pages.liu.se/berzelius-training"
